Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003102 [JEDI VCL] 00 JVCL Components major always 2005-07-20 17:48 2005-08-28 08:59
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003102: Click on JvXPBar above the caption does not roll down the bar
Description DESCRIPTION:

When you click slightly above the caption of a JvXPBar, the bar does not open and show its items.


STEPS TO REPRODUCE:

1. Place a JvXPContainer on a form, put three JvXPBars on it, set their Grouped and Collapsed properties to True, their RollMode property to rmFixed, their Align property to alTop, don't assign any icons, and create a bunch of items per XPBar.

2. Compile and run. If you click within the area mentioned above, the bar does not unfold.

Cheers
Uwe
Additional Information Attached is a small screenshot to show the exact area where a mouse click has no effect.
Tags No tags attached.
Attached Files jpg file icon jvXPBar.jpg [^] (1,641 bytes) 2005-07-20 17:48

- Relationships

-  Notes
(0007591)
anonymous (viewer)
2005-07-22 11:08

I do not have time to recompile and test currently, but I believe that the bug sits in this function in JvXPBar.pas:

function TJvXPCustomWinXPBar.GetHitTestRect(const HitTest: TJvXPBarHitTest): TRect;

begin
  case HitTest of
    htHeader:
      Result := Bounds(0, 5, Width, FHeaderHeight);
    htRollButton:
      Result := Bounds(Width - 24, (FHeaderHeight - GetRollHeight) div 2, GetRollWidth, GetRollHeight);
  end;
end;


Shouldn't the result for htHeader be

  Result := Bounds(0, 0, Width, FHeaderHeight);


Hope that helps
Uwe
(0007592)
anonymous (viewer)
2005-07-22 12:39

Confirmed:
The fix mentioned above removes the bug. Can someone please incorporate this fix into the JVCL?

Thanks
Uwe
(0007706)
obones (administrator)
2005-08-09 05:35

The current code in JvXBar does not match the one indicated here.
A quick test shows no sign of the error.
Could you confirm it has disappeared with the latest CVS version ?
(0007862)
obones (administrator)
2005-08-28 08:59

No answers, I'm considering this to be fixed.

- Issue History
Date Modified Username Field Change
2005-07-20 17:48 anonymous New Issue
2005-07-20 17:48 anonymous File Added: jvXPBar.jpg
2005-07-20 18:05 anonymous Note Added: 0007587
2005-07-22 11:08 anonymous Note Added: 0007591
2005-07-22 11:10 anonymous Note Deleted: 0007587
2005-07-22 12:39 anonymous Note Added: 0007592
2005-08-09 05:35 obones Note Added: 0007706
2005-08-09 05:35 obones Status new => feedback
2005-08-28 08:59 obones Status feedback => resolved
2005-08-28 08:59 obones Resolution open => fixed
2005-08-28 08:59 obones Assigned To => obones
2005-08-28 08:59 obones Note Added: 0007862


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker